Name:           dwm
Version:        6.5
Release:        %mkrel 1
Summary:        A minimalist window manager for the X Window System
License:        MIT
Group:          Graphical desktop/Other
URL:            https://dwm.suckless.org/
Source0:        https://dl.suckless.org/dwm/%{name}-%{version}.tar.gz
Source1:        %{name}.png
Source2:        %{name}.desktop
# Install to /usr instead of /usr/local, respect opt. flags
Patch2:         dwm-6.5-config.patch

BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xinerama)

Requires:       xterm
Recommends:     dmenu

%description
dwm is a dynamic window manager for X.

It manages windows in tiled and floating layouts. Either layout can be applied
dynamically, optimizing the environment for the application in use and the task
performed. It is the little brother of wmii.


%prep
%autosetup -p1

%build
%make_build

%install
%make_install DESTDIR=%{buildroot} PREFIX=%{_exec_prefix}

# start file
cat > %{buildroot}%{_bindir}/start%{name} << EOF
exec %{_bindir}/%{name}
EOF

chmod 755 %{buildroot}%{_bindir}/start%{name}

# an icon
%__install -D -m 0644 %{_sourcedir}/%{name}.png %{buildroot}%{_datadir}/icons/%{name}.png

%__install -D -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/xsessions/%{name}.desktop

%posttrans
# (ovitters) In posttrans, $1 is always equal to 1, even in the upgrade case.
# So just run this always:
if [ -e %{_datadir}/xsessions/40dwm.desktop ]; then
	rm -rf %{_datadir}/xsessions/40dwm.desktop
fi
if [ -e %{_sysconfdir}/X11/dm/Sessions/40dwm.desktop ]; then
	rm -rf %{_sysconfdir}/X11/dm/Sessions/40dwm.desktop
fi

%files
%doc README
%license LICENSE
%{_datadir}/xsessions/dwm.desktop
%{_bindir}/%{name}
%{_bindir}/start%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/icons/%{name}.png


%changelog
* Mon Dec 02 2024 daviddavid <daviddavid> 6.5-1.mga10
+ Revision: 2120718
- new version: 6.5

* Sun Feb 12 2023 mrambo3501 <mrambo3501> 6.4-1.mga9
+ Revision: 1940805
- verison 6.4
- rediff Patch2

* Tue Mar 29 2022 umeabot <umeabot> 6.2-3.mga9
+ Revision: 1831461
- Mageia 9 Mass Rebuild
+ ovitters <ovitters>
- fix usage of  in posttrans

* Fri Feb 14 2020 umeabot <umeabot> 6.2-2.mga8
+ Revision: 1522704
- Mageia 8 Mass Rebuild

* Thu Feb 07 2019 daviddavid <daviddavid> 6.2-1.mga7
+ Revision: 1363742
- new version: 6.2

* Sun Sep 23 2018 umeabot <umeabot> 6.1-4.mga7
+ Revision: 1297537
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Fri Feb 24 2017 wally <wally> 6.1-3.mga6
+ Revision: 1087721
- drop obsolete wmsessions.d files
- rename xsessions .desktop file
- remove generated xsessions .desktop file leftovers on update

* Sun Sep 25 2016 eatdirt <eatdirt> 6.1-2.mga6
+ Revision: 1056051
- Add desktop file for sddm

* Fri Apr 15 2016 shlomif <shlomif> 6.1-1.mga6
+ Revision: 1002715
- Add missing BRs
- New version 6.1

* Thu Feb 11 2016 umeabot <umeabot> 6.0-10.mga6
+ Revision: 953803
- Mageia 6 Mass Rebuild

* Fri Sep 18 2015 tv <tv> 6.0-9.mga6
+ Revision: 880368
- fix & re-enable debuginfo
- reenable debuginfo & fix empty debuginfo (patch 2)

* Wed Sep 09 2015 neoclust <neoclust> 6.0-8.mga6
+ Revision: 874964
- Fix build with new rpm ( empty debuginfo)

* Wed Oct 15 2014 umeabot <umeabot> 6.0-7.mga5
+ Revision: 743863
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.0-6.mga5
+ Revision: 678895
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sat Oct 19 2013 umeabot <umeabot> 6.0-5.mga4
+ Revision: 527511
- Mageia 4 Mass Rebuild

* Sat Jun 08 2013 fwang <fwang> 6.0-4.mga4
+ Revision: 440459
- simplify br

* Fri Jan 11 2013 umeabot <umeabot> 6.0-3.mga3
+ Revision: 349199
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 kamil <kamil> 6.0-2.mga3
+ Revision: 324407
- rebuild for Mga3 Beta1

* Mon Jan 09 2012 kamil <kamil> 6.0-1.mga2
+ Revision: 194254
- new version

* Mon Jan 09 2012 kamil <kamil> 5.9-1.mga2
+ Revision: 194184
- remove %%make_session empty macro from %%post and %%postun
- package adapted for Mageia
- drop dependency on dwm-tools, leave just dmenu as a stand-alone package
- imported package dwm


* Tue Jan 12 2010 Rémy Clouard <shikamaru@mandriva.org> 5.7.2-1mdv2010.1
+ Revision: 490027
- bump release (5.7.2)
- fix licence

* Sun Sep 27 2009 Frederik Himpe <fhimpe@mandriva.org> 5.7.1-1mdv2010.0
+ Revision: 449726
- update to new version 5.7.1

* Mon Jul 27 2009 Frederik Himpe <fhimpe@mandriva.org> 5.6.1-1mdv2010.0
+ Revision: 400631
- update to new version 5.6.1

* Tue Jul 14 2009 Frederik Himpe <fhimpe@mandriva.org> 5.6-1mdv2010.0
+ Revision: 396039
- update to new version 5.6

* Mon May 18 2009 Frederik Himpe <fhimpe@mandriva.org> 5.5-1mdv2010.0
+ Revision: 377334
- Update to new version 5.5

* Wed Feb 18 2009 Jérôme Soyer <saispo@mandriva.org> 5.4-1mdv2009.1
+ Revision: 342494
- New upstream release

* Sun Jan 04 2009 Jérôme Soyer <saispo@mandriva.org> 5.3.1-1mdv2009.1
+ Revision: 324243
- New upstream release

* Wed Dec 03 2008 Jérôme Soyer <saispo@mandriva.org> 5.2-1mdv2009.1
+ Revision: 309671
- New Release 5.2

* Wed Jul 30 2008 Jérôme Soyer <saispo@mandriva.org> 5.1-1mdv2009.0
+ Revision: 254725
- New release 5.1

* Tue Jan 08 2008 Jérôme Soyer <saispo@mandriva.org> 4.7-3mdv2008.1
+ Revision: 146908
- Add Requires

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 13 2007 Jérôme Soyer <saispo@mandriva.org> 4.7-2mdv2008.1
+ Revision: 119225
- Add macro for creating session

* Thu Dec 06 2007 Jérôme Soyer <saispo@mandriva.org> 4.7-1mdv2008.1
+ Revision: 116082
- import dwm


